package com.example.mapper;

import com.example.entity.Store;
import java.util.List;

/**
 * 操作store相关数据接口
*/
public interface StoreMapper {

    /**
      * 新增
    */
    int insert(Store store);

    /**
      * 删除
    */
    int deleteById(Integer id);

    /**
      * 修改
    */
    int updateById(Store store);

    /**
      * 根据ID查询
    */
    Store selectById(Integer id);

    /**
      * 查询所有
    */
    List<Store> selectAll(Store store);

}